Subject: bug#28661: 25.3; closing fullscreen frame on macOS 10.13 High Sierra causes crash

From: Alan Third <[email-masked]>
Date: Sat, 7 Oct 2017 21:56:52 +0100

On Sat, Oct 07, 2017 at 10:46:41AM -0700, John Mastro wrote:
> Alan Third <[email-masked]> wrote:
> > It looks like it is trying to resize the frame after we’ve already
> > cleaned it up. Do fullscreen windows animate when they close on 10.13?
> 
> The fullscreen Emacs frame/window sort of slides off the screen and the
> desktop slides back on.

Sounds just like 10.12. Oh well, who knows.

> > Anyway, I’ve attached a patch, can you give it a go and see if it
> > works?
> 
> That indeed does the trick. With the patch applied, I can repeat the
> recipe from the OP and everything works as expected.

Thanks. It’s a small change and makes no difference here on 10.12, so
I’ll push it to emacs-26.
-- 
Alan Third